package ru.yandex.autotests.directapi.model.api5.campaignsext;

import com.yandex.direct.api.v5.campaignsext.ContentPromotionCampaignSettingGet;
import com.yandex.direct.api.v5.campaignsext.ContentPromotionCampaignSettingsGetEnum;
import com.yandex.direct.api.v5.general.YesNoEnum;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created by pavryabov on 17.11.15.
 */
public class ContentPromotionCampaignSettingGetMap extends ModelBeanMap<ContentPromotionCampaignSettingGetMap> {

    public static final String OPTION = "option";
    public static final String VALUE = "value";

    public ContentPromotionCampaignSettingGetMap() {
        super();
        setBean(new ContentPromotionCampaignSettingGet());
    }

    public ContentPromotionCampaignSettingGetMap(ContentPromotionCampaignSettingGet contentPromotionCampaignSettingGet) {
        super();
        setBean(contentPromotionCampaignSettingGet);
    }

    public ContentPromotionCampaignSettingGetMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public ContentPromotionCampaignSettingGetMap withOption(ContentPromotionCampaignSettingsGetEnum campaignPropertiesEnum) {
        this.put(OPTION, campaignPropertiesEnum);
        return this;
    }

    public ContentPromotionCampaignSettingGetMap withValue(YesNoEnum yesNoEnum) {
        this.put(VALUE, yesNoEnum);
        return this;
    }
}
